OGRE-Next: Ogre::HighLevelGpuProgramFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::HighLevelGpuProgramFactory Class Referenceabstract
Core » Resources

Interface definition for factories of HighLevelGpuProgram. More...

`#include <OgreHighLevelGpuProgramManager.h>`

Inheritance diagram for Ogre::HighLevelGpuProgramFactory:
[legend]

## Public Member Functions
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()
virtual HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)=0
virtual void | destroy (HighLevelGpuProgram *prog)=0
virtual const String & | getLanguage () const =0
| Get the name of the language this factory creates programs for.

## Detailed Description

Interface definition for factories of HighLevelGpuProgram.

## Constructor & Destructor Documentation

## ◆ HighLevelGpuProgramFactory()

Ogre::HighLevelGpuProgramFactory::HighLevelGpuProgramFactory | ( |  | ) |
| inline

## ◆ ~HighLevelGpuProgramFactory()

virtual Ogre::HighLevelGpuProgramFactory::~HighLevelGpuProgramFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

virtual HighLevelGpuProgram * Ogre::HighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )
| pure virtual

Implemented in Ogre::D3D11HLSLProgramFactory, Ogre::GLSLESShaderFactory, Ogre::GLSLShaderFactory, Ogre::MetalProgramFactory, Ogre::UnifiedHighLevelGpuProgramFactory, and Ogre::VulkanProgramFactory.

## ◆ destroy()

virtual void Ogre::HighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| pure virtual

Implemented in Ogre::D3D11HLSLProgramFactory, Ogre::GLSLESShaderFactory, Ogre::GLSLShaderFactory, Ogre::MetalProgramFactory, Ogre::UnifiedHighLevelGpuProgramFactory, and Ogre::VulkanProgramFactory.

## ◆ getLanguage()

virtual const String & Ogre::HighLevelGpuProgramFactory::getLanguage | ( |  | ) | const
| pure virtual

Get the name of the language this factory creates programs for.

Implemented in Ogre::D3D11HLSLProgramFactory, Ogre::GLSLESShaderFactory, Ogre::GLSLShaderFactory, Ogre::MetalProgramFactory, Ogre::UnifiedHighLevelGpuProgramFactory, and Ogre::VulkanProgramFactory.

The documentation for this class was generated from the following file:

- OgreHighLevelGpuProgramManager.h